package Orchestrator;

/**
 * This Class defines an account
 * an account is both the representation of typical account data (login/passwd)
 * and game related data (character dir/hwnd/instrument id)
 * @author root
 */

public class Account {

	private String login=null;
	private String pass=null;
	private String character=null;
	private String character_dir=null;
	private int instrument_id = -1;
	private int HWND=-1;
	private boolean processed = false;
		
	public Account(String login, String password, String character) {
	this.setLogin(login);
	this.setPassword(password);
	this.setCharacter(character);
	}


	public String getLogin() {
		return login;
	}


	public void setLogin(String login) {
		this.login = login;
	}


	public String getPassword() {
		return pass;
	}


	public void setPassword(String password) {
		this.pass = password;
	}


	public String getCharacter() {
		return character;
	}


	public void setCharacter(String character) {
		this.character = character;
	}


	public String getCharacter_dir() {
		return character_dir;
	}


	public void setCharacter_dir(String character_dir) {
		this.character_dir = character_dir;
	}


	public int getInstrument_id() {
		return instrument_id;
	}


	public void setInstrument_id(int instrument_id) {
		this.instrument_id = instrument_id;
	}


	public void setHWND(int hwnd) {
		this.HWND=hwnd;
	}
	
	public int getHWND() {
		return this.HWND;
	}


	public void setProcessed() {
		this.processed = true;		
	}
	public void resetProcessed() {
		this.processed = false;		
	}
	
	public boolean getProcessed() {
		return this.processed;		
	}

}
